Encontrar eventos de marketing específicos de la aplicación por ID de eventos externos
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/events/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/events/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"appId": 123,
"externalAccountId": "<string>",
"externalEventId": "<string>",
"objectId": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Identificadores
Search for events by external ID
Recupera eventos de marketing en los que el externalEventId coincide con el valor proporcionado en la solicitud, limitándose a eventos creados por la aplicación que hace la solicitud.
Los eventos de marketing creados por otras aplicaciones no se incluirán en los resultados.
GET
/
marketing
/
v3
/
marketing-events
/
events
/
search
Encontrar eventos de marketing específicos de la aplicación por ID de eventos externos
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de consulta
El ID del evento de marketing en la aplicación de eventos externos (externalEventId)
Respuesta
successful operation
Show child attributes
Show child attributes
Última modificación el 3 de abril de 2026